Details

    • Type: Sub-task
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.5
    • Fix Version/s: 2.6
    • Component/s: Libraries
    • Labels:
    • Testing Instructions:
      Hide
      1. run phpunit lib/tests/accesslib_test.php make sure they all pass
      2. Grep and make sure get_system_context is not used in core, except in a unit test
      3. Do regression testing on
      • Admin tools
      • Course management
      • Calendar
      • Enrolments
      • Repositories
      • Mnet
      • Data module
      • Forum
      • Feedback
      • Portfolio
      • User proflies
      • Tags
      Show
      run phpunit lib/tests/accesslib_test.php make sure they all pass Grep and make sure get_system_context is not used in core, except in a unit test Do regression testing on Admin tools Course management Calendar Enrolments Repositories Mnet Data module Forum Feedback Portfolio User proflies Tags
    • Affected Branches:
      MOODLE_25_STABLE
    • Fixed Branches:
      MOODLE_26_STABLE
    • Pull Master Branch:
      MDL-40402-master2
    • Sprint:
      BACKEND Sprint 2

      Description

      Add deprecate warning to get_system_context() function.
      http://docs.moodle.org/dev/Deprecation#Step_1._Immediate_action

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  18/Nov/13